Gecode::FlatZinc::Option< Val > Struct Template Reference

Optional value. More...

`#include <option.hh>`

## Public Member Functions

bool | operator() (void) const
const Val & | some (void) const
Val & | some (void)

## Static Public Member Functions

static Option< Val > | none (void)
static Option< Val > | some (const Val &v)

## Detailed Description

template<class Val>
struct Gecode::FlatZinc::Option< Val >

Optional value.

Definition at line 41 of file option.hh.

## Member Function Documentation

## operator()()

template<class Val>

bool Gecode::FlatZinc::Option< Val >::operator() | ( | void |  | ) | const

inline

Definition at line 46 of file option.hh.

## some() [1/3]

template<class Val>

const Val & Gecode::FlatZinc::Option< Val >::some | ( | void |  | ) | const

inline

Definition at line 47 of file option.hh.

## some() [2/3]

template<class Val>

Val & Gecode::FlatZinc::Option< Val >::some | ( | void |  | ) |

inline

Definition at line 48 of file option.hh.

## none()

template<class Val>

Option< Val > Gecode::FlatZinc::Option< Val >::none | ( | void |  | ) |

inline static

Definition at line 49 of file option.hh.

## some() [3/3]

template<class Val>

Option< Val > Gecode::FlatZinc::Option< Val >::some | ( | const Val & | v | ) |

inline static

Definition at line 55 of file option.hh.

The documentation for this struct was generated from the following file:

- gecode/flatzinc/option.hh